Welcome!
Important information
-- Spectre and Meltdown vulnerabilities
-- Change in MX sources

News
-- MX Linux on social media: here
-- Mepis support still here

Current releases
-- MX-17.1 Final release info here
-- antiX-17 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

Steam not installable in MX-16? [RESOLVED]

Discussion about the MEPIS Community's Repo.
Post Reply
Message
Author
User avatar
Adrian
Forum Veteran
Forum Veteran
Posts: 8982
Joined: Wed Jul 12, 2006 1:42 am

Steam not installable in MX-16? [RESOLVED]

#1 Post by Adrian » Thu Sep 28, 2017 1:53 pm

I tried to install it on a machine and I got this:

Code: Select all

sudo aptitude install steam
Note: selecting "steam:i386" instead of the
      virtual package "steam"
The following NEW packages will be installed:
  gcc-4.9-base:i386{a} libbsd0:i386{a} libc6:i386{a} libdrm-intel1:i386{ab} libdrm-nouveau2:i386{ab} 
  libdrm-radeon1:i386{ab} libdrm2:i386{ab} libedit2:i386{a} libelf1:i386{a} libexpat1:i386{a} 
  libffi6:i386{a} libgcc1:i386{a} libgl1-mesa-dri:i386{ab} libgl1-mesa-glx:i386{ab} libglapi-mesa:i386{ab} 
  libllvm3.5:i386{a} libpciaccess0:i386{a} libstdc++6:i386{a} libtinfo5:i386{a} libtxc-dxtn-s2tc0:i386{a} 
  libudev1:i386{a} libx11-6:i386{a} libx11-xcb1:i386{a} libxau6:i386{a} libxcb-dri2-0:i386{a} 
  libxcb-dri3-0:i386{a} libxcb-glx0:i386{a} libxcb-present0:i386{a} libxcb-sync1:i386{a} libxcb1:i386{a} 
  libxdamage1:i386{a} libxdmcp6:i386{a} libxext6:i386{a} libxfixes3:i386{a} libxinerama1:i386{a} 
  libxshmfence1:i386{a} libxxf86vm1:i386{a} steam:i386 zlib1g:i386{a} 
The following packages are RECOMMENDED but will NOT be installed:
  libc6-i686:i386 
0 packages upgraded, 39 newly installed, 0 to remove and 0 not upgraded.
Need to get 20.3 MB of archives. After unpacking 68.2 MB will be used.
The following packages have unmet dependencies:
 libdrm-intel1 : Breaks: libdrm-intel1:i386 (!= 2.4.70-1mx150+1) but 2.4.58-2 is to be installed.
 libdrm-intel1:i386 : Breaks: libdrm-intel1 (!= 2.4.58-2) but 2.4.70-1mx150+1 is installed.
 libgl1-mesa-dri : Breaks: libgl1-mesa-dri:i386 (!= 12.0.3-1mx150+1) but 10.3.2-1+deb8u1 is to be installed.
 libgl1-mesa-dri:i386 : Breaks: libgl1-mesa-dri (!= 10.3.2-1+deb8u1) but 12.0.3-1mx150+1 is installed.
 libdrm-radeon1 : Breaks: libdrm-radeon1:i386 (!= 2.4.70-1mx150+1) but 2.4.58-2 is to be installed.
 libdrm-radeon1:i386 : Breaks: libdrm-radeon1 (!= 2.4.58-2) but 2.4.70-1mx150+1 is installed.
 libglapi-mesa : Breaks: libglapi-mesa:i386 (!= 12.0.3-1mx150+1) but 10.3.2-1+deb8u1 is to be installed.
 libglapi-mesa:i386 : Breaks: libglapi-mesa (!= 10.3.2-1+deb8u1) but 12.0.3-1mx150+1 is installed.
 libgl1-mesa-glx : Breaks: libgl1-mesa-glx:i386 (!= 12.0.3-1mx150+1) but 10.3.2-1+deb8u1 is to be installed.
 libgl1-mesa-glx:i386 : Breaks: libgl1-mesa-glx (!= 10.3.2-1+deb8u1) but 12.0.3-1mx150+1 is installed.
 libdrm-nouveau2 : Breaks: libdrm-nouveau2:i386 (!= 2.4.70-1mx150+1) but 2.4.58-2 is to be installed.
 libdrm-nouveau2:i386 : Breaks: libdrm-nouveau2 (!= 2.4.58-2) but 2.4.70-1mx150+1 is installed.
 libdrm2 : Breaks: libdrm2:i386 (!= 2.4.70-1mx150+1) but 2.4.58-2 is to be installed.
 libdrm2:i386 : Breaks: libdrm2 (!= 2.4.58-2) but 2.4.70-1mx150+1 is installed.
The following actions will resolve these dependencies:

     Keep the following packages at their current version:
1)     libdrm-intel1:i386 [Not Installed]                 
2)     libdrm-nouveau2:i386 [Not Installed]               
3)     libdrm-radeon1:i386 [Not Installed]                
4)     libdrm2:i386 [Not Installed]                       
5)     libgl1-mesa-dri:i386 [Not Installed]               
6)     libgl1-mesa-glx:i386 [Not Installed]               
7)     libglapi-mesa:i386 [Not Installed]                 
8)     steam:i386 [Not Installed]                         



Accept this solution? [Y/n/q/?] 
Sorry if this is the wrong forum.
Last edited by Adrian on Fri Sep 29, 2017 1:31 pm, edited 1 time in total.

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 16525
Joined: Fri Dec 15, 2006 8:07 pm

Re: Steam not installable in MX-16?

#2 Post by Stevo » Thu Sep 28, 2017 2:00 pm

It looks like I already have almost everything installed to support programs in 32-bit Wine:

Code: Select all

# aptitude install steam
Note: selecting "steam:i386" instead of the
      virtual package "steam"
The following NEW packages will be installed:
  libtxc-dxtn-s2tc0:i386{a} steam:i386 
0 packages upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 835 kB/882 kB of archives. After unpacking 2,914 kB will be used.
Do you want to continue? [Y/n/?] 
What happens if you hit "n" to have aptitude try different solutions?

User avatar
dolphin_oracle
Forum Veteran
Forum Veteran
Posts: 9548
Joined: Sun Dec 16, 2007 1:17 pm

Re: Steam not installable in MX-16?

#3 Post by dolphin_oracle » Thu Sep 28, 2017 2:06 pm

Weird. I install from mxpackageinstaller perfectly. I don't have a mx16 at the moment but it was working .
http://www.youtube.com/runwiththedolphin
lenovo ThinkPad T530 - MX-17
lenovo s21e & 100s - antiX-17, MX17(live-usb)
FYI: mx "test" repo is not the same thing as debian testing repo.

User avatar
Adrian
Forum Veteran
Forum Veteran
Posts: 8982
Joined: Wed Jul 12, 2006 1:42 am

Re: Steam not installable in MX-16?

#4 Post by Adrian » Thu Sep 28, 2017 2:09 pm

What happens if you hit "n" to have aptitude try different solutions?
Yeah, that's funny...

Code: Select all

Accept this solution? [Y/n/q/?] n
The following actions will resolve these dependencies:

       Remove the following packages:         
1)       apt-notifier                         
2)       chromium-bsu                         
3)       clementine                           
4)       freeglut3                            
5)       gir1.2-webkit-3.0                    
6)       gstreamer1.0-plugins-bad             
7)       gufw                                 
8)       gvfs                                 
9)       gvfs-backends                        
10)      gvfs-daemons                         
11)      gvfs-fuse                            
12)      icedtea-8-plugin                     
13)      icedtea-netx                         
14)      kate                                 
15)      kde-runtime                          
16)      kdelibs5-plugins                     
17)      krdc                                 
18)      kwalletmanager                       
19)      libdrm-amdgpu1                       
20)      libdrm-dev                           
21)      libdrm-intel1                        
22)      libdrm-nouveau2                      
23)      libdrm-radeon1                       
24)      libdrm2                              
25)      libegl1-mesa                         
26)      libftgl2                             
27)      libgbm1                              
28)      libgl1-mesa-dev                      
29)      libgl1-mesa-dri                      
30)      libgl1-mesa-glx                      
31)      libglapi-mesa                        
32)      libglc0                              
33)      libgles1-mesa                        
34)      libgles2-mesa                        
35)      libglew1.10                          
36)      libglewmx1.10                        
37)      libglu1-mesa                         
38)      libglu1-mesa-dev                     
39)      libgstreamer-plugins-bad1.0-0        
40)      libgtkglext1                         
41)      libkateinterfaces4                   
42)      libkdewebkit5                        
43)      libopencv-calib3d2.4                 
44)      libopencv-contrib2.4                 
45)      libopencv-core2.4                    
46)      libopencv-features2d2.4              
47)      libopencv-flann2.4                   
48)      libopencv-highgui2.4                 
49)      libopencv-imgproc2.4                 
50)      libopencv-legacy2.4                  
51)      libopencv-ml2.4                      
52)      libopencv-objdetect2.4               
53)      libopencv-video2.4                   
54)      libplasma3                           
55)      libprojectm2                         
56)      libqt4-opengl                        
57)      libqt5declarative5                   
58)      libqt5designer5                      
59)      libqt5designercomponents5            
60)      libqt5gui5                           
61)      libqt5help5                          
62)      libqt5opengl5                        
63)      libqt5printsupport5                  
64)      libqt5quick5                         
65)      libqt5quickwidgets5                  
66)      libqt5svg5                           
67)      libqt5webkit5                        
68)      libqt5widgets5                       
69)      libqt5x11extras5                     
70)      libqtwebkit4                         
71)      libreoffice-avmedia-backend-gstreamer
72)      libreoffice-base                     
73)      libreoffice-base-core                
74)      libreoffice-base-drivers             
75)      libreoffice-calc                     
76)      libreoffice-core                     
77)      libreoffice-draw                     
78)      libreoffice-gtk2                     
79)      libreoffice-help-en-us               
80)      libreoffice-impress                  
81)      libreoffice-math                     
82)      libreoffice-pdfimport                
83)      libreoffice-report-builder-bin       
84)      libreoffice-sdbc-hsqldb              
85)      libreoffice-writer                   
86)      libva-drm1                           
87)      libva-x11-1                          
88)      libwayland-egl1-mesa                 
89)      libwebkit2gtk-4.0-37                 
90)      libwebkitgtk-3.0-0                   
91)      libxatracker2                        
92)      libyelp0                             
93)      mesa-common-dev                      
94)      mesa-utils                           
95)      mx-bootrepair                        
96)      mx-codecs                            
97)      mx-defaultlook                       
98)      mx-findshares                        
99)      mx-flash                             
100)     mx-installer                         
101)     mx-menu-editor                       
102)     mx-network-assistant                 
103)     mx-packageinstaller                  
104)     mx-remastercc                        
105)     mx-repo-manager                      
106)     mx-select-sound                      
107)     mx-snapshot                          
108)     mx-system-sounds                     
109)     mx-tools                             
110)     mx-usb-unmounter                     
111)     mx-user                              
112)     mx-viewer                            
113)     mx-welcome                           
114)     openjdk-8-jre                        
115)     peg-e                                
116)     phonon                               
117)     phonon-backend-gstreamer             
118)     plasma-scriptengine-javascript       
119)     python-pyqt5                         
120)     python-pyqt5.qtsvg                   
121)     python-pyqt5.qtwebkit                
122)     python-qt4                           
123)     qemu-system                          
124)     qemu-system-misc                     
125)     qml-module-qtquick-controls          
126)     qml-module-qtquick-layouts           
127)     qml-module-qtquick-window2           
128)     qml-module-qtquick2                  
129)     qt5-default                          
130)     qtbase5-dev                          
131)     qtcreator                            
132)     qttools5-dev-tools                   
133)     shotwell                             
134)     smtube                               
135)     virtualbox-5.1                       
136)     virtualbox-guest-x11                 
137)     vlc                                  
138)     x11-utils                            
139)     xorg                                 
140)     xserver-xorg                         
141)     xserver-xorg-core                    
142)     xserver-xorg-input-all               
143)     xserver-xorg-input-evdev             
144)     xserver-xorg-input-mouse             
145)     xserver-xorg-input-synaptics         
146)     xserver-xorg-input-vmmouse           
147)     xserver-xorg-video-all               
148)     xserver-xorg-video-ati               
149)     xserver-xorg-video-cirrus            
150)     xserver-xorg-video-fbdev             
151)     xserver-xorg-video-intel             
152)     xserver-xorg-video-mga               
153)     xserver-xorg-video-modesetting       
154)     xserver-xorg-video-neomagic          
155)     xserver-xorg-video-nouveau           
156)     xserver-xorg-video-openchrome        
157)     xserver-xorg-video-radeon            
158)     xserver-xorg-video-savage            
159)     xserver-xorg-video-siliconmotion     
160)     xserver-xorg-video-sisusb            
161)     xserver-xorg-video-tdfx              
162)     xserver-xorg-video-trident           
163)     xserver-xorg-video-vesa              
164)     xserver-xorg-video-vmware            
165)     yelp                                 
166)     zenity 

User avatar
Adrian
Forum Veteran
Forum Veteran
Posts: 8982
Joined: Wed Jul 12, 2006 1:42 am

Re: Steam not installable in MX-16?

#5 Post by Adrian » Fri Sep 29, 2017 10:02 am

I am not sure what happens, but it looks like this is the problem the
libdrm-intel1 : Breaks: libdrm-intel1:i386 (!= 2.4.70-1mx150+1) but 2.4.58-2 is to be installed.
libdrm-intel1:i386 : Breaks: libdrm-intel1 (!= 2.4.58-2) but 2.4.70-1mx150+1 is installed.
libgl1-mesa-dri : Breaks: libgl1-mesa-dri:i386 (!= 12.0.3-1mx150+1) but 10.3.2-1+deb8u1 is to be installed.
libgl1-mesa-dri:i386 : Breaks: libgl1-mesa-dri (!= 10.3.2-1+deb8u1) but 12.0.3-1mx150+1 is installed.
libdrm-radeon1 : Breaks: libdrm-radeon1:i386 (!= 2.4.70-1mx150+1) but 2.4.58-2 is to be installed.
libdrm-radeon1:i386 : Breaks: libdrm-radeon1 (!= 2.4.58-2) but 2.4.70-1mx150+1 is installed.
libglapi-mesa : Breaks: libglapi-mesa:i386 (!= 12.0.3-1mx150+1) but 10.3.2-1+deb8u1 is to be installed.
libglapi-mesa:i386 : Breaks: libglapi-mesa (!= 10.3.2-1+deb8u1) but 12.0.3-1mx150+1 is installed.
libgl1-mesa-glx : Breaks: libgl1-mesa-glx:i386 (!= 12.0.3-1mx150+1) but 10.3.2-1+deb8u1 is to be installed.
libgl1-mesa-glx:i386 : Breaks: libgl1-mesa-glx (!= 10.3.2-1+deb8u1) but 12.0.3-1mx150+1 is installed.
libdrm-nouveau2 : Breaks: libdrm-nouveau2:i386 (!= 2.4.70-1mx150+1) but 2.4.58-2 is to be installed.
libdrm-nouveau2:i386 : Breaks: libdrm-nouveau2 (!= 2.4.58-2) but 2.4.70-1mx150+1 is installed.
libdrm2 : Breaks: libdrm2:i386 (!= 2.4.70-1mx150+1) but 2.4.58-2 is to be installed.
libdrm2:i386 : Breaks: libdrm2 (!= 2.4.58-2) but 2.4.70-1mx150+1 is installed.

Can you understand what is going on? the i386 breaks the 64bit and the other way round, it also looks for a specific version?

SwampRabbit
Forum Novice
Forum  Novice
Posts: 86
Joined: Tue Jun 14, 2016 2:02 pm

Re: Steam not installable in MX-16?

#6 Post by SwampRabbit » Fri Sep 29, 2017 12:09 pm

It probably doesn’t help, but I can confirm that Steam was installable about a month ago on 64bit MX-16.1.

I typically pull in some newer xorg, Mesa, and other packages (both x64 and i386) from the test repo prior to installing Steam though.

User avatar
Adrian
Forum Veteran
Forum Veteran
Posts: 8982
Joined: Wed Jul 12, 2006 1:42 am

Re: Steam not installable in MX-16?

#7 Post by Adrian » Fri Sep 29, 2017 1:30 pm

It works on another machine, maybe this one because it uses intel driver is not working? Or maybe I did some upgrade from "test" that messed something up although I don't remember doing that. It's a bit better if I try to install with test repo enabled, it still wants to remove stuff like VLC and smtube.

I will mark this resolved, who knows what I installed that messed up my system.

User avatar
MX<3
Forum Regular
Forum Regular
Posts: 146
Joined: Mon Oct 23, 2017 10:06 am

Re: Steam not installable in MX-16?

#8 Post by MX<3 » Sun Dec 03, 2017 10:53 am

Adrian wrote:It works on another machine, maybe this one because it uses intel driver is not working? Or maybe I did some upgrade from "test" that messed something up although I don't remember doing that. It's a bit better if I try to install with test repo enabled, it still wants to remove stuff like VLC and smtube.

I will mark this resolved, who knows what I installed that messed up my system.
I don't think that you messed up anything. I had Steam on MX16 but after changing my Grfx card and having to install MX16.1, to get the new card working, Steam will now not install for me.

I have not changed anything on my system because I'm new-ish to Linux and don't know how. Steam will not install without breaking MX16.1, and making it unbootable. I've tried it and it made me have to re-install.
My Computer
Gigabyte B360M-DS3H Motherboard
Intel Core i3-8100 3.6GHz Quad Core CPU
2x 4GB DDR4 2400 Memory Modules
NVidia GeForce GTX 1050 Ti Grfx Card
HDD x2 @ 1TB

Post Reply

Return to “CR Discussion”